/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.DsrStepsMonitoring;

import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class DsrStepsMonitoringRecord extends UpdatableRecordImpl<DsrStepsMonitoringRecord> {

    private static final long serialVersionUID = -104283884;

    /**
     * Setter for <code>DSR_STEPS_MONITORING.IDDSR</code>.
     */
    public void setIddsr(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.IDDSR</code>.
     */
    public String getIddsr() {
        return (String) get(0);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.LAST_UPDATE</code>.
     */
    public void setLastUpdate(Timestamp value) {
        set(1, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.LAST_UPDATE</code>.
     */
    public Timestamp getLastUpdate() {
        return (Timestamp) get(1);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.EXTRACT_QUEUED</code>.
     */
    public void setExtractQueued(Timestamp value) {
        set(2, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.EXTRACT_QUEUED</code>.
     */
    public Timestamp getExtractQueued() {
        return (Timestamp) get(2);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.EXTRACT_STARTED</code>.
     */
    public void setExtractStarted(Timestamp value) {
        set(3, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.EXTRACT_STARTED</code>.
     */
    public Timestamp getExtractStarted() {
        return (Timestamp) get(3);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.EXTRACT_FINISHED</code>.
     */
    public void setExtractFinished(Timestamp value) {
        set(4, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.EXTRACT_FINISHED</code>.
     */
    public Timestamp getExtractFinished() {
        return (Timestamp) get(4);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.EXTRACT_STATUS</code>.
     */
    public void setExtractStatus(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.EXTRACT_STATUS</code>.
     */
    public String getExtractStatus() {
        return (String) get(5);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRICE_QUEUED</code>.
     */
    public void setPriceQueued(Timestamp value) {
        set(6, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRICE_QUEUED</code>.
     */
    public Timestamp getPriceQueued() {
        return (Timestamp) get(6);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRICE_STARTED</code>.
     */
    public void setPriceStarted(Timestamp value) {
        set(7, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRICE_STARTED</code>.
     */
    public Timestamp getPriceStarted() {
        return (Timestamp) get(7);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRICE_FINISHED</code>.
     */
    public void setPriceFinished(Timestamp value) {
        set(8, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRICE_FINISHED</code>.
     */
    public Timestamp getPriceFinished() {
        return (Timestamp) get(8);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRICE_STATUS</code>.
     */
    public void setPriceStatus(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRICE_STATUS</code>.
     */
    public String getPriceStatus() {
        return (String) get(9);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.HYPERCUBE_QUEUED</code>.
     */
    public void setHypercubeQueued(Timestamp value) {
        set(10, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.HYPERCUBE_QUEUED</code>.
     */
    public Timestamp getHypercubeQueued() {
        return (Timestamp) get(10);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.HYPERCUBE_STARTED</code>.
     */
    public void setHypercubeStarted(Timestamp value) {
        set(11, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.HYPERCUBE_STARTED</code>.
     */
    public Timestamp getHypercubeStarted() {
        return (Timestamp) get(11);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.HYPERCUBE_FINISHED</code>.
     */
    public void setHypercubeFinished(Timestamp value) {
        set(12, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.HYPERCUBE_FINISHED</code>.
     */
    public Timestamp getHypercubeFinished() {
        return (Timestamp) get(12);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.HYPERCUBE_STATUS</code>.
     */
    public void setHypercubeStatus(String value) {
        set(13, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.HYPERCUBE_STATUS</code>.
     */
    public String getHypercubeStatus() {
        return (String) get(13);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.IDENTIFY_QUEUED</code>.
     */
    public void setIdentifyQueued(Timestamp value) {
        set(14, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.IDENTIFY_QUEUED</code>.
     */
    public Timestamp getIdentifyQueued() {
        return (Timestamp) get(14);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.IDENTIFY_STARTED</code>.
     */
    public void setIdentifyStarted(Timestamp value) {
        set(15, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.IDENTIFY_STARTED</code>.
     */
    public Timestamp getIdentifyStarted() {
        return (Timestamp) get(15);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.IDENTIFY_FINISHED</code>.
     */
    public void setIdentifyFinished(Timestamp value) {
        set(16, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.IDENTIFY_FINISHED</code>.
     */
    public Timestamp getIdentifyFinished() {
        return (Timestamp) get(16);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.IDENTIFY_STATUS</code>.
     */
    public void setIdentifyStatus(String value) {
        set(17, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.IDENTIFY_STATUS</code>.
     */
    public String getIdentifyStatus() {
        return (String) get(17);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.UNILOAD_QUEUED</code>.
     */
    public void setUniloadQueued(Timestamp value) {
        set(18, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.UNILOAD_QUEUED</code>.
     */
    public Timestamp getUniloadQueued() {
        return (Timestamp) get(18);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.UNILOAD_STARTED</code>.
     */
    public void setUniloadStarted(Timestamp value) {
        set(19, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.UNILOAD_STARTED</code>.
     */
    public Timestamp getUniloadStarted() {
        return (Timestamp) get(19);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.UNILOAD_FINISHED</code>.
     */
    public void setUniloadFinished(Timestamp value) {
        set(20, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.UNILOAD_FINISHED</code>.
     */
    public Timestamp getUniloadFinished() {
        return (Timestamp) get(20);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.UNILOAD_STATUS</code>.
     */
    public void setUniloadStatus(String value) {
        set(21, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.UNILOAD_STATUS</code>.
     */
    public String getUniloadStatus() {
        return (String) get(21);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLAIM_QUEUED</code>.
     */
    public void setClaimQueued(Timestamp value) {
        set(22, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLAIM_QUEUED</code>.
     */
    public Timestamp getClaimQueued() {
        return (Timestamp) get(22);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLAIM_STARTED</code>.
     */
    public void setClaimStarted(Timestamp value) {
        set(23, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLAIM_STARTED</code>.
     */
    public Timestamp getClaimStarted() {
        return (Timestamp) get(23);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLAIM_FINISHED</code>.
     */
    public void setClaimFinished(Timestamp value) {
        set(24, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLAIM_FINISHED</code>.
     */
    public Timestamp getClaimFinished() {
        return (Timestamp) get(24);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLAIM_STATUS</code>.
     */
    public void setClaimStatus(String value) {
        set(25, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLAIM_STATUS</code>.
     */
    public String getClaimStatus() {
        return (String) get(25);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRELEARN_QUEUED</code>.
     */
    public void setPrelearnQueued(Timestamp value) {
        set(26, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRELEARN_QUEUED</code>.
     */
    public Timestamp getPrelearnQueued() {
        return (Timestamp) get(26);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRELEARN_STARTED</code>.
     */
    public void setPrelearnStarted(Timestamp value) {
        set(27, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRELEARN_STARTED</code>.
     */
    public Timestamp getPrelearnStarted() {
        return (Timestamp) get(27);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRELEARN_FINISHED</code>.
     */
    public void setPrelearnFinished(Timestamp value) {
        set(28, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRELEARN_FINISHED</code>.
     */
    public Timestamp getPrelearnFinished() {
        return (Timestamp) get(28);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.PRELEARN_STATUS</code>.
     */
    public void setPrelearnStatus(String value) {
        set(29, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.PRELEARN_STATUS</code>.
     */
    public String getPrelearnStatus() {
        return (String) get(29);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.LEARN_QUEUED</code>.
     */
    public void setLearnQueued(Timestamp value) {
        set(30, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.LEARN_QUEUED</code>.
     */
    public Timestamp getLearnQueued() {
        return (Timestamp) get(30);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.LEARN_STARTED</code>.
     */
    public void setLearnStarted(Timestamp value) {
        set(31, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.LEARN_STARTED</code>.
     */
    public Timestamp getLearnStarted() {
        return (Timestamp) get(31);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.LEARN_FINISHED</code>.
     */
    public void setLearnFinished(Timestamp value) {
        set(32, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.LEARN_FINISHED</code>.
     */
    public Timestamp getLearnFinished() {
        return (Timestamp) get(32);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.LEARN_STATUS</code>.
     */
    public void setLearnStatus(String value) {
        set(33, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.LEARN_STATUS</code>.
     */
    public String getLearnStatus() {
        return (String) get(33);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLEAN_QUEUED</code>.
     */
    public void setCleanQueued(Timestamp value) {
        set(34, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLEAN_QUEUED</code>.
     */
    public Timestamp getCleanQueued() {
        return (Timestamp) get(34);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLEAN_STARTED</code>.
     */
    public void setCleanStarted(Timestamp value) {
        set(35, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLEAN_STARTED</code>.
     */
    public Timestamp getCleanStarted() {
        return (Timestamp) get(35);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLEAN_FINISHED</code>.
     */
    public void setCleanFinished(Timestamp value) {
        set(36, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLEAN_FINISHED</code>.
     */
    public Timestamp getCleanFinished() {
        return (Timestamp) get(36);
    }

    /**
     * Setter for <code>DSR_STEPS_MONITORING.CLEAN_STATUS</code>.
     */
    public void setCleanStatus(String value) {
        set(37, value);
    }

    /**
     * Getter for <code>DSR_STEPS_MONITORING.CLEAN_STATUS</code>.
     */
    public String getCleanStatus() {
        return (String) get(37);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached DsrStepsMonitoringRecord
     */
    public DsrStepsMonitoringRecord() {
        super(DsrStepsMonitoring.DSR_STEPS_MONITORING);
    }

    /**
     * Create a detached, initialised DsrStepsMonitoringRecord
     */
    public DsrStepsMonitoringRecord(String iddsr, Timestamp lastUpdate, Timestamp extractQueued, Timestamp extractStarted, Timestamp extractFinished, String extractStatus, Timestamp priceQueued, Timestamp priceStarted, Timestamp priceFinished, String priceStatus, Timestamp hypercubeQueued, Timestamp hypercubeStarted, Timestamp hypercubeFinished, String hypercubeStatus, Timestamp identifyQueued, Timestamp identifyStarted, Timestamp identifyFinished, String identifyStatus, Timestamp uniloadQueued, Timestamp uniloadStarted, Timestamp uniloadFinished, String uniloadStatus, Timestamp claimQueued, Timestamp claimStarted, Timestamp claimFinished, String claimStatus, Timestamp prelearnQueued, Timestamp prelearnStarted, Timestamp prelearnFinished, String prelearnStatus, Timestamp learnQueued, Timestamp learnStarted, Timestamp learnFinished, String learnStatus, Timestamp cleanQueued, Timestamp cleanStarted, Timestamp cleanFinished, String cleanStatus) {
        super(DsrStepsMonitoring.DSR_STEPS_MONITORING);

        set(0, iddsr);
        set(1, lastUpdate);
        set(2, extractQueued);
        set(3, extractStarted);
        set(4, extractFinished);
        set(5, extractStatus);
        set(6, priceQueued);
        set(7, priceStarted);
        set(8, priceFinished);
        set(9, priceStatus);
        set(10, hypercubeQueued);
        set(11, hypercubeStarted);
        set(12, hypercubeFinished);
        set(13, hypercubeStatus);
        set(14, identifyQueued);
        set(15, identifyStarted);
        set(16, identifyFinished);
        set(17, identifyStatus);
        set(18, uniloadQueued);
        set(19, uniloadStarted);
        set(20, uniloadFinished);
        set(21, uniloadStatus);
        set(22, claimQueued);
        set(23, claimStarted);
        set(24, claimFinished);
        set(25, claimStatus);
        set(26, prelearnQueued);
        set(27, prelearnStarted);
        set(28, prelearnFinished);
        set(29, prelearnStatus);
        set(30, learnQueued);
        set(31, learnStarted);
        set(32, learnFinished);
        set(33, learnStatus);
        set(34, cleanQueued);
        set(35, cleanStarted);
        set(36, cleanFinished);
        set(37, cleanStatus);
    }
}
